---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Personal/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libgetfldnm005.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50FC0, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52F00, symBinAddr: 0x9110, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x532F0, symBinAddr: 0x9500, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54290, symBinAddr: 0xA4A0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x542A0, symBinAddr: 0xA4B0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50C40, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50C44, symBinAddr: 0x70A4, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50C48, symBinAddr: 0x70A8, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50DA0, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50E58, symBinAddr: 0x7168, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x50E5C, symBinAddr: 0x716C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50E60, symBinAddr: 0x7170, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50E64, symBinAddr: 0x7174, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50E68, symBinAddr: 0x7178, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50E70, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x50E80, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50E88, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50E90, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50E98, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x8FD7, offset: 0x8FD7, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50EA0, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x8FF1, offset: 0x8FF1, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50EA8, symBinAddr: 0x71B8, symSize: 0x0 }
  - { offsetInCU: 0x90D7, offset: 0x90D7, size: 0x8, addend: 0x0, symName: __ZL7fld_sig, symObjAddr: 0xE330, symBinAddr: 0x6020, symSize: 0x0 }
  - { offsetInCU: 0x9102, offset: 0x9102, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50EF0, symBinAddr: 0x71C0, symSize: 0x0 }
  - { offsetInCU: 0x9154, offset: 0x9154, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1760, symSize: 0x80 }
  - { offsetInCU: 0x91E9, offset: 0x91E9, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x16B0, symSize: 0xB0 }
  - { offsetInCU: 0x9244, offset: 0x9244, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x15B0, symSize: 0x100 }
  - { offsetInCU: 0x94D7, offset: 0x94D7, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x17E0, symSize: 0xC0 }
  - { offsetInCU: 0x9529, offset: 0x9529, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x18A0, symSize: 0x220 }
  - { offsetInCU: 0x970E, offset: 0x970E, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1AC0, symSize: 0xA0 }
  - { offsetInCU: 0x97C1, offset: 0x97C1, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1B60, symSize: 0x110 }
  - { offsetInCU: 0x98B7, offset: 0x98B7, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1C70, symSize: 0x150 }
  - { offsetInCU: 0x9A14, offset: 0x9A14, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1DC0, symSize: 0x30 }
  - { offsetInCU: 0x9ABD, offset: 0x9ABD, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1DF0, symSize: 0x150 }
  - { offsetInCU: 0x9CB5, offset: 0x9CB5, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1F40, symSize: 0x160 }
  - { offsetInCU: 0x9F75, offset: 0x9F75, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x20A0, symSize: 0x4A0 }
  - { offsetInCU: 0xA1E8, offset: 0xA1E8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x2540, symSize: 0x1B0 }
  - { offsetInCU: 0xA403, offset: 0xA403, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x26F0, symSize: 0xA0 }
  - { offsetInCU: 0xA4D2, offset: 0xA4D2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x2790, symSize: 0x20 }
  - { offsetInCU: 0xA509, offset: 0xA509, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x27B0, symSize: 0x20 }
  - { offsetInCU: 0xA540, offset: 0xA540, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x27D0, symSize: 0x20 }
  - { offsetInCU: 0xA6AF, offset: 0xA6AF, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x27F0, symSize: 0x1A0 }
  - { offsetInCU: 0xA9CB, offset: 0xA9CB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x2990, symSize: 0x130 }
  - { offsetInCU: 0xAB7B, offset: 0xAB7B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x2AC0, symSize: 0x80 }
  - { offsetInCU: 0xAC44, offset: 0xAC44, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x2B40, symSize: 0x6A0 }
  - { offsetInCU: 0xB7D9, offset: 0xB7D9, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA260, symBinAddr: 0x3F30, symSize: 0xB0 }
  - { offsetInCU: 0xB850, offset: 0xB850, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x31E0, symSize: 0x70 }
  - { offsetInCU: 0xB8EC, offset: 0xB8EC, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x3250, symSize: 0xA0 }
  - { offsetInCU: 0xB9CB, offset: 0xB9CB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x32F0, symSize: 0x40 }
  - { offsetInCU: 0xBAC1, offset: 0xBAC1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x3330, symSize: 0x2B0 }
  - { offsetInCU: 0xBE67, offset: 0xBE67, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x35E0, symSize: 0xC0 }
  - { offsetInCU: 0xBFAD, offset: 0xBFAD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x36A0, symSize: 0x10 }
  - { offsetInCU: 0xC06F, offset: 0xC06F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x36B0, symSize: 0x220 }
  - { offsetInCU: 0xC36C, offset: 0xC36C, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x38D0, symSize: 0x10 }
  - { offsetInCU: 0xC3C9, offset: 0xC3C9, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x38E0, symSize: 0xF0 }
  - { offsetInCU: 0xC4DC, offset: 0xC4DC, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D00, symBinAddr: 0x39D0, symSize: 0x10 }
  - { offsetInCU: 0xC68D, offset: 0xC68D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetFieldName_getfldnm005_check, symObjAddr: 0x9D10, symBinAddr: 0x39E0, symSize: 0x550 }
  - { offsetInCU: 0xCC39, offset: 0xCC39, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA310, symBinAddr: 0x3FE0, symSize: 0x36A }
...
